Mesh Class Reference

`#include </build/pcl-0nnAvv/pcl-1.7.2/doc/tutorials/content/sources/iccv2011/include/surface.h>`

## Public Member Functions

| Mesh ()
| Mesh ()
| Mesh ()

## Public Attributes

PointCloudPtr | points
std::vector< pcl::Vertices > | faces

## Detailed Description

Definition at line 14 of file surface.h.

## Constructor & Destructor Documentation

Mesh::Mesh | ( |  | ) |

inline

Definition at line 17 of file surface.h.

Mesh::Mesh | ( |  | ) |

inline

Definition at line 17 of file surface.h.

References pcl::copyPointCloud(), faces, points, pcl::ConcaveHull< PointInT >::reconstruct(), pcl::ConvexHull< PointInT >::reconstruct(), pcl::MeshConstruction< PointInT >::reconstruct(), pcl::ConcaveHull< PointInT >::setAlpha(), pcl::PCLBase< PointInT >::setInputCloud(), pcl::GreedyProjectionTriangulation< PointInT >::setMaximumAngle(), pcl::GreedyProjectionTriangulation< PointInT >::setMaximumNearestNeighbors(), pcl::GreedyProjectionTriangulation< PointInT >::setMinimumAngle(), pcl::GreedyProjectionTriangulation< PointInT >::setMu(), pcl::GreedyProjectionTriangulation< PointInT >::setNormalConsistency(), pcl::MovingLeastSquares< PointInT, PointOutT >::setPolynomialFit(), pcl::MovingLeastSquares< PointInT, PointOutT >::setPolynomialOrder(), pcl::PCLSurfaceBase< PointInT >::setSearchMethod(), pcl::MovingLeastSquares< PointInT, PointOutT >::setSearchMethod(), pcl::MovingLeastSquares< PointInT, PointOutT >::setSearchRadius(), pcl::GreedyProjectionTriangulation< PointInT >::setSearchRadius(), and pcl::MovingLeastSquares< PointInT, PointOutT >::setSqrGaussParam().

Mesh::Mesh | ( |  | ) |

inline

Definition at line 17 of file surface.h.

References faces, and points.

## Member Data Documentation

std::vector< pcl::Vertices > Mesh::faces

Definition at line 19 of file surface.h.

Referenced by Mesh().

PointCloudPtr Mesh::points

Definition at line 18 of file surface.h.

Referenced by Mesh().

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/doc/tutorials/content/sources/iccv2011/include/surface.h